Hardware Locality (hwloc) 2.0.3

Functions
Converting between CPU sets and node sets

## Functions
static int | hwloc_cpuset_to_nodeset (hwloc_topology_t topology, hwloc_const_cpuset_t _cpuset, hwloc_nodeset_t nodeset)
static int | hwloc_cpuset_from_nodeset (hwloc_topology_t topology, hwloc_cpuset_t _cpuset, hwloc_const_nodeset_t nodeset)

## Detailed Description

## Function Documentation

## ◆ hwloc_cpuset_from_nodeset()

static int hwloc_cpuset_from_nodeset | ( | hwloc_topology_t | topology,
|  | hwloc_cpuset_t | _cpuset,
|  | hwloc_const_nodeset_t | nodeset
| ) |  |
| inline static

Convert a NUMA node set into a CPU set and handle non-NUMA cases.

If the topology contains no NUMA nodes, the machine is considered as a single memory node, and the following behavior is used: If `nodeset` is empty, `cpuset` will be emptied as well. Otherwise `cpuset` will be entirely filled. This is useful for manipulating memory binding sets.

## ◆ hwloc_cpuset_to_nodeset()

static int hwloc_cpuset_to_nodeset | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | _cpuset,
|  | hwloc_nodeset_t | nodeset
| ) |  |
| inline static

Convert a CPU set into a NUMA node set and handle non-NUMA cases.

If some NUMA nodes have no CPUs at all, this function never sets their indexes in the output node set, even if a full CPU set is given in input.

If the topology contains no NUMA nodes, the machine is considered as a single memory node, and the following behavior is used: If `cpuset` is empty, `nodeset` will be emptied as well. Otherwise `nodeset` will be entirely filled.